/* 
   File: arrange.h - Definition of the Arrange dialog

   Defines the dialog handling code for the arrange menu option screen.

   Author: Steven E. Sipe
   
*/

/////////////////////////////////////////////////////////////////////////////
// CZDDeskArrange dialog

// Forward declaration for frame class
class CZDDeskFrame;

// Arrange dialog class
class CZDDeskArrange : public CDialog
{
// Private data
private:
   // Frame pointer
   CZDDeskFrame *m_pFrame;

   // True if dragging is in progress
   BOOL m_bDragging;

   // Desk where draggin began
   int m_nDragDesk;

   // Number of selected listview entry
   int m_nSelectedEntry;

   // Drop cursor handle
   HCURSOR m_hcurDrop;

   // No drop (circle-slash) cursor handle
   HCURSOR m_hcurNoDrop;

   // Image list used in listview
   CImageList m_imgList;

// Private operations
private:
   // Loads the application list for the specified desk
   void FillDeskList(int nDesk);

   // Initializes the arrange dialog
   void Init();

// Construction/destruction
public:
   // Constructor
   CZDDeskArrange(CZDDeskFrame *pFrame, CWnd* pParent = NULL);

   // Destructor
   ~CZDDeskArrange();

// Dialog Data
   //{{AFX_DATA(CZDDeskArrange)
   enum { IDD = IDD_ARRANGE };
   CTabCtrl   m_Tab;
   CListCtrl   m_List;
   //}}AFX_DATA


// Overrides
   // ClassWizard generated virtual function overrides
   //{{AFX_VIRTUAL(CZDDeskArrange)
   public:
   virtual BOOL PreTranslateMessage(MSG* pMsg);
   protected:
   virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
   //}}AFX_VIRTUAL

// Implementation
protected:

   // Generated message map functions
   //{{AFX_MSG(CZDDeskArrange)
   virtual BOOL OnInitDialog();
   afx_msg void OnSelchangeTab(NMHDR* pNMHDR, LRESULT* pResult);
   afx_msg void OnBegindragList(NMHDR* pNMHDR, LRESULT* pResult);
   afx_msg void OnActivate();
   afx_msg void OnClose();
   afx_msg void OnGlue();
   afx_msg void OnItemChangedList(NMHDR* pNMHDR, LRESULT* pResult);
   afx_msg void OnHelpBtn();
   afx_msg void OnTabTooltip(UINT nID, NMHDR *pNMHDR, LRESULT *pResult);
   //}}AFX_MSG
   DECLARE_MESSAGE_MAP()
};
