/* 
   File: property.h - Definition of the Property dialog.

   Defines the ZDDesk property dialog.  This dialog allows the user to
   configure the number of virtual desktops and to name each desktop.

   Author: Steven E. Sipe
   
*/

/////////////////////////////////////////////////////////////////////////////
// CZDDeskProperties dialog

class CZDDeskFrame;

class CZDDeskProperties : public CDialog
{
// Private data
private:
   // Pointer to the desk frame window -- this is an interface to the virtual
   // desktop logic
   CZDDeskFrame *m_pFrame;

// Construction
public:
   // Constructor
   CZDDeskProperties(CZDDeskFrame *pFrame, CWnd* pParent = NULL);   // standard constructor

// Dialog Data
   //{{AFX_DATA(CZDDeskProperties)
   enum { IDD = IDD_PROPERTIES };
   CSpinButtonCtrl   m_Spin;
   CEdit   m_DeskCount;
   //}}AFX_DATA


// Overrides
   // ClassWizard generated virtual function overrides
   //{{AFX_VIRTUAL(CZDDeskProperties)
   protected:
   virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
   //}}AFX_VIRTUAL

// Implementation
protected:

   // Generated message map functions
   //{{AFX_MSG(CZDDeskProperties)
   virtual BOOL OnInitDialog();
   virtual void OnOK();
   afx_msg void OnHelpBtn();
   //}}AFX_MSG
   DECLARE_MESSAGE_MAP()
};
