/* 
   File: registry.h - Definition of system registry access methods.

   Defines ZDDesk's interface to the system registry.

   Author: Steven E. Sipe
   
*/

class CZDRegistry
{
public:
   // Creates a new registry key
   LONG Create(HKEY hRootKey, LPCTSTR lpszSubKey, REGSAM regSam, HKEY& hKey); 

   // Opens the specified registry key -- creates it if necessary
   LONG Open(HKEY hRootKey, LPCTSTR lpszSubKey, REGSAM regSam, HKEY& hKey);

   // Closes the specified registry key
   LONG Close(HKEY hKey);

   // Gets the specified registry key value
   LONG GetValue(HKEY hKey, LPCTSTR lpszValueName, DWORD dwDataType, 
                                 LPVOID lpvData, DWORD dwBuffSize);

   // Sets the specified registry key value
   LONG SetValue(HKEY hKey, LPCTSTR lpszValueName, DWORD dwType,
                                 const LPVOID lpvData, DWORD dwDataSize);

};
